#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.4
visibility:           public
id:                   jose-0.8.4-Lj42VKTgugi89TOWgYwBeY
key:                  jose-0.8.4-Lj42VKTgugi89TOWgYwBeY
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  45ca15ed76ba62e2d74c1c0e3138b43f
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.10.4/site-local/jose-0.8.4
library-dirs:         /usr/lib/ghc-8.10.4/site-local/jose-0.8.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/jose-0.8.4
hs-libraries:         HSjose-0.8.4-Lj42VKTgugi89TOWgYwBeY
depends:
    QuickCheck-2.14.2-HeK1alMxWlV4KygdTbnBwg
    aeson-1.5.6.0-CXL1oIyIKzV3Wzutw5KnI4
    attoparsec-0.13.2.5-LpgBUXsPRSYB9KKMOt9lNz base-4.14.1.0
    base64-bytestring-1.2.0.1-4OSK10v2sp72rwnjVAtuiz
    bytestring-0.10.12.0 concise-0.1.0.1-9xPLQoTagC3F8440Q44dIc
    containers-0.6.2.1 cryptonite-0.28-9maQUPkMdve4HdKCkfrwlI
    lens-4.19.2-5LM7AKOcCpz4NIuiuXiILR
    memory-0.15.0-E8yvrlcxsw5JtBytoHmuPe
    monad-time-0.3.1.0-3d4yAlPjz8P33AmXrmtMWL mtl-2.2.2
    network-uri-2.6.4.1-6UvNw1wHAcqC8ai3RUgWPd
    quickcheck-instances-0.3.25.2-8cOMxT1pviB3iN6EaLQjXS
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b template-haskell-2.16.0.0
    text-1.2.4.1 time-1.9.3
    unordered-containers-0.2.13.0-I4USYXV3Fmg2LoeGz2Nrci
    vector-0.12.2.0-H4M3IeJ8Uw8LGLOdKfxtZO
    x509-1.7.5-2JMVZIMZprP2bFwmt1RvTx

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

